<?php
require_once("config.php");
try {
    // Fetch the terminal number from the URL
    if (!isset($_GET['terminal_number'])) {
        throw new Exception("Terminal number is not set");
    }

    $terminal_number = 5199873;//$_GET['terminal_number'];

    // Define the current date
    $currentDate = new DateTime();
    $currentDateFormatted = $currentDate->format('Y-m-d');

    // Calculate the date for the last 24 hours
    $last24HoursDate = new DateTime('-1 day');
    $last24HoursDateFormatted = $last24HoursDate->format('Y-m-d');

    // Calculate the date for the last week
    $lastWeekDate = new DateTime('-1 week');
    $lastWeekDateFormatted = $lastWeekDate->format('Y-m-d');

    // Calculate the date for the last month
    $lastMonthDate = new DateTime('-1 month');
    $lastMonthDateFormatted = $lastMonthDate->format('Y-m-d');

    // Prepare the SQL query for the last 24 hours
    $sqlLast24Hours = "
        SELECT SUM(amount) AS total_amount_24h
        FROM bp_transaction_info
        WHERE terminal_id = :terminal AND transaction_date BETWEEN :last24Hours AND :currentDate
    ";
    $stmtLast24Hours = $conn->prepare($sqlLast24Hours);
    $stmtLast24Hours->execute([':terminal' => $terminal_number, ':last24Hours' => $last24HoursDateFormatted, ':currentDate' => $currentDateFormatted]);
    $resultLast24Hours = $stmtLast24Hours->fetch();

    // Prepare the SQL query for the last week
    $sqlLastWeek = "
        SELECT SUM(amount) AS total_amount_week
        FROM bp_transaction_info
        WHERE terminal_id = :terminal AND transaction_date BETWEEN :lastWeek AND :currentDate
    ";
    $stmtLastWeek = $conn->prepare($sqlLastWeek);
    $stmtLastWeek->execute([':terminal' => $terminal_number, ':lastWeek' => $lastWeekDateFormatted, ':currentDate' => $currentDateFormatted]);
    $resultLastWeek = $stmtLastWeek->fetch();

    // Prepare the SQL query for the last month
    $sqlLastMonth = "
        SELECT SUM(amount) AS total_amount_month
        FROM bp_transaction_info
        WHERE terminal_id = :terminal AND transaction_date BETWEEN :lastMonth AND :currentDate
    ";
    $stmtLastMonth = $conn->prepare($sqlLastMonth);
    $stmtLastMonth->execute([':terminal' => $terminal_number, ':lastMonth' => $lastMonthDateFormatted, ':currentDate' => $currentDateFormatted]);
    $resultLastMonth = $stmtLastMonth->fetch();

    // Prepare the SQL query for all time
    $sqlAllTime = "
        SELECT transaction_date, transaction_time, pan, amount
        FROM bp_transaction_info
        WHERE terminal_id = :terminal
    ";
    $stmtAllTime = $conn->prepare($sqlAllTime);
    $stmtAllTime->execute([':terminal' => $terminal_number]);
    $resultAllTime = $stmtAllTime->fetchAll(PDO::FETCH_ASSOC);

} catch (PDOException $e) {
    // Print error message if database operation fails
    echo "Database error: " . $e->getMessage();
} catch (Exception $e) {
    // Print error message for other errors
    echo "Error: " . $e->getMessage();
}
?>



<html lang="fa" class="light-style layout-navbar-fixed layout-menu-fixed" dir="rtl" data-theme="theme-default" data-assets-path="def_dashboard/assets/" data-template="vertical-menu-template-no-customizer">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0">

    <title>حسابداری سیب</title>

    <meta name="description" content="">

    <!-- Favicon -->
    <!--<link rel="icon" type="image/x-icon" href="def_dashboard/assets/img/favicon/favicon.ico">-->

    <!-- Icons -->
    <link rel="stylesheet" href="def_dashboard/assets/vendor/fonts/boxicons.css">
    <link rel="stylesheet" href="def_dashboard/assets/vendor/fonts/fontawesome.css">
    <link rel="stylesheet" href="def_dashboard/assets/vendor/fonts/flag-icons.css">

    <!-- Core CSS -->
    <link rel="stylesheet" href="def_dashboard/assets/vendor/css/rtl/core.css">
    <link rel="stylesheet" href="def_dashboard/assets/vendor/css/rtl/theme-default.css">
    <link rel="stylesheet" href="def_dashboard/assets/css/demo.css">
    <link rel="stylesheet" href="def_dashboard/assets/vendor/css/rtl/rtl.css">

    <!-- Vendors CSS -->
    <link rel="stylesheet" href="def_dashboard/assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.css">
    <link rel="stylesheet" href="def_dashboard/assets/vendor/libs/typeahead-js/typeahead.css">
    <link rel="stylesheet" href="def_dashboard/assets/vendor/libs/apex-charts/apex-charts.css">

    <!-- Page CSS -->

    <!-- Helpers -->
    <script src="def_dashboard/assets/vendor/js/helpers.js"></script>

    <!--! Template customizer & Theme config files MUST be included after core stylesheets and helpers.js in the <head> section -->
    <!--? Config:  Mandatory theme config file contain global vars & default theme options, Set your preferred theme option in this file.  -->
    <script src="def_dashboard/assets/js/config.js"></script>
  </head>

  <body>
    <!-- Layout wrapper -->
    <div class="layout-wrapper layout-content-navbar">
      <div class="layout-container">
        <!-- Menu -->


        <?php /*include_once("menu.php");*/ ?>

        <!-- / Menu -->

        <!-- Layout container -->
        <div class="layout-page">
          <!-- Navbar -->

        <?php include_once("nav.php"); ?>

          <!-- / Navbar -->

          <!-- Content wrapper -->
          <div class="content-wrapper">
            <!-- Content -->

            <div class="container-xxl flex-grow-1 container-p-y">
              <div class="row">

                <!-- Weekly Order Summary -->
                <div class="col-xl-12 col-12 mb-4">
                  <div class="card h-100">
                    <div class="row row-bordered m-0">
                      <!-- Order Summary -->
                      <div class="col-md-8 col-12 pe-0">
                        <div class="card-header d-flex justify-content-between align-items-center">
                          <h5 class="card-title mb-0">گزارش واریز ماهانه</h5>
                          <div class="dropdown primary-font">
                            <button class="btn p-0" type="button" id="orderSummaryOptions" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                              <i class="bx bx-dots-vertical-rounded"></i>
                            </button>
                            <div class="dropdown-menu dropdown-menu-end" aria-labelledby="orderSummaryOptions">
                              <a class="dropdown-item" href="javascript:void(0);">انتخاب همه</a>
                              <a class="dropdown-item" href="javascript:void(0);">تازه سازی</a>
                              <a class="dropdown-item" href="javascript:void(0);">اشتراک گذاری</a>
                            </div>
                          </div>
                        </div>
                        <div class="card-body p-0">
                          <div id="orderSummaryChart"></div>
                        </div>
                      </div>
                      <!-- Sales History -->
                      <div class="col-md-4 col-12 px-0">
                        <div class="card-header d-flex justify-content-between align-items-center">
                          <h5 class="card-title mb-0">نمای کلی فروش‌ها</h5>
                          <div class="dropdown primary-font">
                            <button class="btn p-0" type="button" id="salesOverviewOptions" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                              <i class="bx bx-dots-vertical-rounded"></i>
                            </button>
                            <div class="dropdown-menu dropdown-menu-end" aria-labelledby="salesOverviewOptions">
                              <a class="dropdown-item" href="javascript:void(0);">انتخاب همه</a>
                              <a class="dropdown-item" href="javascript:void(0);">تازه سازی</a>
                              <a class="dropdown-item" href="javascript:void(0);">اشتراک گذاری</a>
                            </div>
                          </div>
                        </div>
                        <div class="card-body">
                          <ul class="list-unstyled m-0 pt-0">
                            <li class="mb-4">
                              <div class="d-flex align-items-center mb-2">
                                <div class="avatar avatar-sm flex-shrink-0 me-2">
                                  <span class="avatar-initial rounded bg-label-primary"><i class="bx bx-trending-up"></i></span>
                                </div>
                                <div>
                                  <p class="mb-0 text-muted text-nowrap">دریافتی 30 روز قبل</p>
                                  <small class="fw-semibold text-nowrap"><?= number_format($resultLastMonth['total_amount_month'], 0, '', ','); ?> تومان</small>
                                </div>
                              </div>
                              <div class="progress" style="height: 6px">
                                <div class="progress-bar bg-primary" style="width: 75%" role="progressbar" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100"></div>
                              </div>
                            </li>
                            <li>
                              <div class="d-flex align-items-center mb-2">
                                <div class="avatar avatar-sm flex-shrink-0 me-2">
                                  <span class="avatar-initial rounded bg-label-success"><i class="bx bx-dollar"></i></span>
                                </div>
                                <div>
                                  <p class="mb-0 text-muted text-nowrap">دریافتی 7 روز قبل</p>
                                    <small class="fw-semibold text-nowrap">
                                        <?= number_format($resultLastWeek['total_amount_week'], 0, '', ','); ?> تومان
                                    </small>
                                </div>
                              </div>
                              <div class="progress" style="height: 6px">
                                <div class="progress-bar bg-success" style="width: 75%" role="progressbar" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100"></div>
                              </div>
                            </li>
                            <li>
                              <div class="d-flex align-items-center mb-2">
                                <div class="avatar avatar-sm flex-shrink-0 me-2">
                                  <span class="avatar-initial rounded bg-label-success"><i class="bx bx-dollar"></i></span>
                                </div>
                                <div>
                                  <p class="mb-0 text-muted text-nowrap">دریافتی 24 ساعت قبل</p>
                                  <small class="fw-semibold text-nowrap"><?= number_format($resultLast24Hours['total_amount_24h'], 0, '', ','); ?> تومان</small>
                                </div>
                              </div>
                              <div class="progress" style="height: 6px">
                                <div class="progress-bar bg-success" style="width: 75%" role="progressbar" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100"></div>
                              </div>
                            </li>    
                            <li>
                              <div class="d-flex align-items-center mb-2">
                                <div class="avatar avatar-sm flex-shrink-0 me-2">
                                  <span class="avatar-initial rounded bg-label-success"><i class="bx bx-dollar"></i></span>
                                </div>
                                <div>
                                  <p class="mb-0 text-muted text-nowrap">دریافتی کل</p>
                                  <small class="fw-semibold text-nowrap"><?= number_format($resultAllTime['total_amount_all'], 0, '', ','); ?> تومان</small>
                                </div>
                              </div>
                              <div class="progress" style="height: 6px">
                                <div class="progress-bar bg-success" style="width: 75%" role="progressbar" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100"></div>
                              </div>
                            </li>                             
                          </ul>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <!--/ Weekly Order Summary -->

                <!-- Marketing Campaigns -->
                <div class="col-xl-12">
                  <div class="card">
                    <div class="card-header d-flex justify-content-between align-items-center">
                      <h5 class="card-title mb-0">گزارش دریافت و پرداخت</h5>
                      <div class="dropdown primary-font">
                        <button class="btn p-0" type="button" id="marketingOptions" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                          <i class="bx bx-dots-vertical-rounded"></i>
                        </button>
                        <div class="dropdown-menu dropdown-menu-end" aria-labelledby="marketingOptions">
                          <a class="dropdown-item" href="javascript:void(0);">انتخاب همه</a>
                          <a class="dropdown-item" href="javascript:void(0);">تازه سازی</a>
                          <a class="dropdown-item" href="javascript:void(0);">اشتراک گذاری</a>
                        </div>
                      </div>
                    </div>
                    <!--<div class="card-body">
                      <div class="d-flex align-items-center justify-content-between flex-wrap gap-3">
                        <div class="d-flex justify-content-between align-content-center flex-wrap gap-4">
                          <div class="d-flex align-items-center gap-2">
                            <div id="marketingCampaignChart1"></div>
                            <div>
                              <div class="d-flex align-items-center">
                                <h6 class="mb-0 me-2">25,768</h6>
                                <span class="text-success">(+16.2%)</span>
                              </div>
                              <div class="d-flex align-items-center">
                                <span class="badge badge-dot bg-success me-2"></span> 12 فروردین 1401
                              </div>
                            </div>
                          </div>
                          <div class="d-flex align-items-center gap-2">
                            <div id="marketingCampaignChart2"></div>
                            <div>
                              <div class="d-flex align-items-center">
                                <h6 class="mb-0 me-2">5,352</h6>
                                <span class="text-danger">(-4.9%)</span>
                              </div>
                              <div class="d-flex align-items-center">
                                <span class="badge badge-dot bg-danger me-2"></span> 12 فروردین 1401
                              </div>
                            </div>
                          </div>
                        </div>
                        <a href="javascript:;" class="btn btn-sm btn-primary">مشاهده گزارش</a>
                      </div>
                    </div>-->
                    <div class="table-responsive">
<table class="table border-top">
    <thead>
        <tr>
            <th>ردیف</th>
            <th>دریافت</th>
            <th>پرداخت</th>
            <th>مانده</th>
            <th>عمل</th>
        </tr>
    </thead>
    <tbody class="table-border-bottom-0">
        <?php
        $rowIndex = 1;
        $balance = 0;
        foreach ($resultAllTime as $row) {
            $amount = htmlspecialchars($row['amount']);
            $balance += $amount;
            echo '<tr>';
            echo '<td>' . $rowIndex . '</td>';
            echo '<td>' . number_format($amount, 0, '', ',') . '</td>';
            echo '<td>0</td>';
            echo '<td>' . number_format($balance, 0, '', ',') . '</td>';
            echo '<td>
                    <div class="dropdown">
                        <button class="btn p-0" type="button" id="action' . $rowIndex . '" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <i class="bx bx-dots-vertical-rounded"></i>
                        </button>
                        <div class="dropdown-menu dropdown-menu-end" aria-labelledby="action' . $rowIndex . '">
                            <a class="dropdown-item" href="javascript:void(0);">جزئیات</a>
                            <a class="dropdown-item" href="javascript:void(0);">'.htmlspecialchars($row['transaction_time']) . ' '. htmlspecialchars($row['transaction_date']).'</a>
                        </div>
                    </div>
                  </td>';
            echo '</tr>';
            $rowIndex++;
        }
        ?>
    </tbody>
</table>



                    </div>
                  </div>
                </div>
                <!--/ Marketing Campaigns -->
              </div>
            </div>
            <!-- / Content -->

            <!-- Footer -->
            <?php include_once("footer.php"); ?>
            <!-- / Footer -->

            <div class="content-backdrop fade"></div>
          </div>
          <!-- Content wrapper -->
        </div>
        <!-- / Layout page -->
      </div>

      <!-- Overlay -->
      <div class="layout-overlay layout-menu-toggle"></div>

      <!-- Drag Target Area To SlideIn Menu On Small Screens -->
      <div class="drag-target"></div>
    </div>
    <!-- / Layout wrapper -->

    <!-- Core JS -->
    <!-- build:js assets/vendor/js/core.js -->
    <script src="def_dashboard/assets/vendor/libs/jquery/jquery.js"></script>
    <script src="def_dashboard/assets/vendor/libs/popper/popper.js"></script>
    <script src="def_dashboard/assets/vendor/js/bootstrap.js"></script>
    <script src="def_dashboard/assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.js"></script>

    <script src="def_dashboard/assets/vendor/libs/hammer/hammer.js"></script>

    <script src="def_dashboard/assets/vendor/libs/i18n/i18n.js"></script>
    <script src="def_dashboard/assets/vendor/libs/typeahead-js/typeahead.js"></script>

    <script src="def_dashboard/assets/vendor/js/menu.js"></script>
    <!-- endbuild -->

    <!-- Vendors JS -->
    <script src="def_dashboard/assets/vendor/libs/apex-charts/apexcharts.js"></script>

    <!-- Main JS -->
    <script src="def_dashboard/assets/js/main.js"></script>

    <!-- Page JS -->
    <script src="def_dashboard/assets/js/dashboards-ecommerce.js"></script>
  </body>
</html>
