<!-- Right-Side Vertical Menu -->
<nav class="position-fixed top-50 translate-middle-y end-0 me-4" style="height: 70%; width: 60px; background-color: #f8f9fa; border-radius: 0.5rem;">
    <ul class="nav flex-column align-items-center h-100 justify-content-around text-center">
        <li class="nav-item w-100">
            <a href="#" class="nav-link active d-flex justify-content-center" id="icon1">
                <i class="bx bx-home" style="font-size: 2rem;"></i>
            </a>
        </li>
        <li class="nav-item w-100">
            <a href="#" class="nav-link d-flex justify-content-center" id="icon2">
                <i class="bx bx-user" style="font-size: 2rem;"></i>
            </a>
        </li>
        <li class="nav-item w-100">
            <a href="#" class="nav-link d-flex justify-content-center" id="icon3">
                <i class="bx bx-bell" style="font-size: 2rem;"></i>
            </a>
        </li>
        <li class="nav-item w-100">
            <a href="#" class="nav-link d-flex justify-content-center" id="icon4">
                <i class="bx bx-cog" style="font-size: 2rem;"></i>
            </a>
        </li>
    </ul>
</nav>

<!-- Horizontal Navigation Menu -->
<nav class="position-fixed top-2 start-50 translate-middle-x mb-4" style="width: 70%; background-color: transparent;">
    <div class="d-flex justify-content-between w-100">
        <div class="card text-center" style="width: 30%; background-color: #6affb9;">
            <a href="#" class="nav-link text-white p-3" onclick="showSection('section1')">
                <h5 class="card-title">فروش</h5>
            </a>
        </div>
        <div class="card text-center" style="width: 30%; background-color: #ff8f8f;">
            <a href="#" class="nav-link text-white p-3" onclick="showSection('section2')">
                <h5 class="card-title">هزینه</h5>
            </a>
        </div>
        <div class="card text-center" style="width: 30%; background-color: #8fdbff;">
            <a href="#" class="nav-link text-white p-3" onclick="showSection('section3')">
                <h5 class="card-title">نمودار</h5>
            </a>
        </div>
    </div>
</nav>

<div class="mt-10 ms-5 bg-white p-2 d-block" id="section1" style="margin-top: 100px; margin-left: 80px; margin-right: auto; width: calc(100% - 140px);">
    <!-- Section 1 Content -->
    <!-- Responsive Table with Modal for Extra Columns -->
    <div class="container mt-5">
        <div class="table-responsive">
            <table id="dataTable" class="table table-striped table-bordered">
                <thead class="thead-dark">
                    <tr>
                        <th scope="col">تاریخ</th>
                        <th scope="col">شماره کارت</th>
                        <th scope="col">مبلغ</th>
                        <th class="d-none d-md-table-cell" scope="col">شماره تراکنش</th>
                        <th class="d-none d-md-table-cell" scope="col">وضعیت</th>
                        <th scope="col">نمایش بیشتر</th>
                    </tr>
                </thead>
                <tbody>
                    <!-- Rows will be added here by JavaScript -->
                </tbody>
            </table>
        </div>
    </div>
<!----------------------------->    
</div>
<div class="mt-10 ms-5 bg-white p-2 d-none" id="section2" style="margin-top: 100px; margin-left: 80px; margin-right: auto; width: calc(100% - 140px);">
    <!-- Section 2 Content -->
</div>
<div class="mt-10 ms-5 bg-white p-2 d-none" id="section3" style="margin-top: 100px; margin-left: 80px; margin-right: auto; width: calc(100% - 140px);">
    <!-- Section 3 Content -->
            <div class="col-12">
                  <div class="card">
                    <div class="card-header header-elements">
                      <div>
                        <h5 class="card-title mb-1">آمار</h5>
                        <small class="text-muted primary-font">شبکه های تجاری و سازمان‌ها</small>
                      </div>
                      <div class="card-header-elements ms-auto py-0">
                        <h5 class="fw-bold mb-0 me-3">78,000</h5>
                        <span class="badge bg-label-secondary">
                          <i class="bx bx-up-arrow-alt bx-xs text-success"></i>
                          <span class="align-middle">37%</span>
                        </span>
                      </div>
                    </div>
                    <div class="card-body">
                      <canvas id="lineChart" class="chartjs" data-height="500" height="600" width="1458" style="display: block; box-sizing: border-box; height: 500px; width: 1215px;"></canvas>
                    </div>
                  </div>
        </div>    
</div>

<script>
    function showSection(sectionId) {
        // Hide all sections
        document.getElementById('section1').classList.add('d-none');
        document.getElementById('section2').classList.add('d-none');
        document.getElementById('section3').classList.add('d-none');

        // Show the selected section
        document.getElementById(sectionId).classList.remove('d-none');
        document.getElementById(sectionId).classList.add('d-block');
    }
document.addEventListener('DOMContentLoaded', function() {
    fetch('https://trsamin.ir/bmpanel/api/apicenter.php', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify({
            action: "get_income",
            terminal_number: "5199873"
        })
    })
    .then(response => {
        return response.text().then(text => {
            // Log the raw text response for debugging
            console.log('Raw Response:', text);

            // Try to parse the text as JSON
            try {
                return JSON.parse(text);
            } catch (error) {
                throw new Error('Non-JSON response: ' + text);
            }
        });
    })
    .then(data => {
        // Log the parsed JSON response for debugging
        console.log('JSON Response:', data);

        // Ensure 'data' is an array before iterating
        if (Array.isArray(data)) {
            const tableBody = document.querySelector('#dataTable tbody');
            tableBody.innerHTML = '';  // Clear existing rows

            data.forEach(item => {
                // Create a new table row
                const row = document.createElement('tr');
                row.innerHTML = `
                    <td>${item.transaction_date}</td>
                    <td>${item.pan}</td>
                    <td>${item.amount}</td>
                    <td class="d-none d-md-table-cell">${item.internal_reference_id}</td>
                    <td class="d-none d-md-table-cell">${item.internal_reference_id}</td>
                    <td>
                        <button class="btn btn-primary btn-sm" data-bs-toggle="modal" data-bs-target="#infoModal1" onclick="showModal('${item.internal_reference_id}', '${item.internal_reference_id}')">
                            More Info
                        </button>
                    </td>
                `;
                tableBody.appendChild(row);
            });
        } else {
            console.error('Expected an array but got:', data);
        }
    })
    .catch(error => {
        // Log any errors, including non-JSON responses
        console.error('Error fetching data:', error.message);
    });
});






    function showModal(transactionNumber, status) {
        // Populate the modal with additional information
        const modalBody = document.getElementById('modalBody');
        modalBody.innerHTML = `
            <p><strong>Transaction Number:</strong> ${transactionNumber}</p>
            <p><strong>Status:</strong> ${status}</p>
        `;
    }
</script>
<!-- Modal for More Info -->
<div class="modal fade" id="infoModal1" tabindex="-1" aria-labelledby="infoModalLabel1" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="infoModalLabel1">More Information</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <p><strong>Occupation:</strong> Engineer</p>
                <p><strong>Email:</strong> john@example.com</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
